AbstractTracingAwareExecutorService (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.concurrent

## Class AbstractTracingAwareExecutorService

- java.lang.Object
- - org.apache.cassandra.concurrent.AbstractTracingAwareExecutorService

- All Implemented Interfaces:
    java.util.concurrent.Executor, java.util.concurrent.ExecutorService, TracingAwareExecutorService
  Direct Known Subclasses:
    SEPExecutor

      public abstract class AbstractTracingAwareExecutorService
      extends java.lang.Object
      implements TracingAwareExecutorService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTracingAwareExecutorService()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `addTask(org.apache.cassandra.concurrent.AbstractTracingAwareExecutorService.FutureTask<?> futureTask)`
    `void` | `execute(java.lang.Runnable command)`
    `void` | `execute(java.lang.Runnable command, TraceState state)`
    `<T> java.util.List<java.util.concurrent.Future<T>>` | `invokeAll(java.util.Collection<? extends java.util.concurrent.Callable<T>> tasks)`
    `<T> java.util.List<java.util.concurrent.Future<T>>` | `invokeAll(java.util.Collection<? extends java.util.concurrent.Callable<T>> tasks, long timeout, java.util.concurrent.TimeUnit unit)`
    `<T> T` | `invokeAny(java.util.Collection<? extends java.util.concurrent.Callable<T>> tasks)`
    `<T> T` | `invokeAny(java.util.Collection<? extends java.util.concurrent.Callable<T>> tasks, long timeout, java.util.concurrent.TimeUnit unit)`
    `protected <T> org.apache.cassandra.concurrent.AbstractTracingAwareExecutorService.FutureTask<T>` | `newTaskFor(java.util.concurrent.Callable<T> callable)`
    `protected <T> org.apache.cassandra.concurrent.AbstractTracingAwareExecutorService.FutureTask<T>` | `newTaskFor(java.lang.Runnable runnable, T result)`
    `protected <T> org.apache.cassandra.concurrent.AbstractTracingAwareExecutorService.FutureTask<T>` | `newTaskFor(java.lang.Runnable runnable, T result, TraceState traceState)`
    `protected abstract void` | `onCompletion()`
    `<T> org.apache.cassandra.concurrent.AbstractTracingAwareExecutorService.FutureTask<T>` | `submit(java.util.concurrent.Callable<T> task)` Task Submission / Creation / Objects
    `org.apache.cassandra.concurrent.AbstractTracingAwareExecutorService.FutureTask<?>` | `submit(java.lang.Runnable task)`
    `<T> org.apache.cassandra.concurrent.AbstractTracingAwareExecutorService.FutureTask<T>` | `submit(java.lang.Runnable task, T result)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.concurrent.TracingAwareExecutorService

      `maybeExecuteImmediately`

    - ### Methods inherited from interface java.util.concurrent.ExecutorService

      `awaitTermination, isShutdown, isTerminated, shutdown, shutdownNow`

- - ### Constructor Detail

    - #### AbstractTracingAwareExecutorService

          public AbstractTracingAwareExecutorService()

  - ### Method Detail

    - #### addTask

          protected abstract void addTask(org.apache.cassandra.concurrent.AbstractTracingAwareExecutorService.FutureTask<?> futureTask)

    - #### onCompletion

          protected abstract void onCompletion()

    - #### submit

          public <T> org.apache.cassandra.concurrent.AbstractTracingAwareExecutorService.FutureTask<T> submit(java.util.concurrent.Callable<T> task)

      Task Submission / Creation / Objects
      Specified by:
        `submit` in interface `java.util.concurrent.ExecutorService`

    - #### submit

          public org.apache.cassandra.concurrent.AbstractTracingAwareExecutorService.FutureTask<?> submit(java.lang.Runnable task)

      Specified by:
        `submit` in interface `java.util.concurrent.ExecutorService`

    - #### submit

          public <T> org.apache.cassandra.concurrent.AbstractTracingAwareExecutorService.FutureTask<T> submit(java.lang.Runnable task,
                                                                                                     T result)

      Specified by:
        `submit` in interface `java.util.concurrent.ExecutorService`

    - #### invokeAll

          public <T> java.util.List<java.util.concurrent.Future<T>> invokeAll(java.util.Collection<? extends java.util.concurrent.Callable<T>> tasks)

      Specified by:
        `invokeAll` in interface `java.util.concurrent.ExecutorService`

    - #### invokeAll

          public <T> java.util.List<java.util.concurrent.Future<T>> invokeAll(java.util.Collection<? extends java.util.concurrent.Callable<T>> tasks,
                                                                     long timeout,
                                                                     java.util.concurrent.TimeUnit unit)
                                                                   throws java.lang.InterruptedException

      Specified by:
        `invokeAll` in interface `java.util.concurrent.ExecutorService`
      Throws:
        `java.lang.InterruptedException`

    - #### invokeAny

          public <T> T invokeAny(java.util.Collection<? extends java.util.concurrent.Callable<T>> tasks)
                      throws java.lang.InterruptedException,
                             java.util.concurrent.ExecutionException

      Specified by:
        `invokeAny` in interface `java.util.concurrent.ExecutorService`
      Throws:
        `java.lang.InterruptedException`
        `java.util.concurrent.ExecutionException`

    - #### invokeAny

          public <T> T invokeAny(java.util.Collection<? extends java.util.concurrent.Callable<T>> tasks,
                        long timeout,
                        java.util.concurrent.TimeUnit unit)
                      throws java.lang.InterruptedException,
                             java.util.concurrent.ExecutionException,
                             java.util.concurrent.TimeoutException

      Specified by:
        `invokeAny` in interface `java.util.concurrent.ExecutorService`
      Throws:
        `java.lang.InterruptedException`
        `java.util.concurrent.ExecutionException`
        `java.util.concurrent.TimeoutException`

    - #### newTaskFor

          protected <T> org.apache.cassandra.concurrent.AbstractTracingAwareExecutorService.FutureTask<T> newTaskFor(java.lang.Runnable runnable,
                                                                                                         T result)

    - #### newTaskFor

          protected <T> org.apache.cassandra.concurrent.AbstractTracingAwareExecutorService.FutureTask<T> newTaskFor(java.lang.Runnable runnable,
                                                                                                         T result,
                                                                                                         TraceState traceState)

    - #### newTaskFor

          protected <T> org.apache.cassandra.concurrent.AbstractTracingAwareExecutorService.FutureTask<T> newTaskFor(java.util.concurrent.Callable<T> callable)

    - #### execute

          public void execute(java.lang.Runnable command)

      Specified by:
        `execute` in interface `java.util.concurrent.Executor`

    - #### execute

          public void execute(java.lang.Runnable command,
                     TraceState state)

      Specified by:
        `execute` in interface `TracingAwareExecutorService`

Copyright © 2014 The Apache Software Foundation